Subject: Re: [PATCH] diff: handle negative status in diff_result_code()

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Aug 2023 11:39:36 -0700

Jeff King <[email-masked]> writes:

> That would make the code simpler. It does feel a bit like going in the
> opposite direction of recent "pass errors up the stack rather than
> dying" libification efforts. I think that's OK for the builtin_* helpers
> in diff.c, which are just serving the diff porcelain. But things like
> run_diff_files(), while pretty big operations, are something we might
> call as small part of another operation (like git-describe).

True, for things in diff-lib.c we likely would want to go in the
opposite "return an error to be handled by the caller" route.